#include <stdio.h>
#include <iostream>
#include "conf.h"

using namespace std;

int main(int argc, char* argv[])
{
  Conf cfg("a.conf", "#;");
  if(!cfg.exist()) {
    printf("Config file not found ");
    return 1;
  }
  
  const char *password  = cfg.readString("udp", "password");
  printf("password=%s\n", password);

  const char *host = cfg["tcp"]["host"].asString();
  const int port = cfg["map1"][333].asInteger(555);
  printf("%s:%d\n", host, port);
  
  { // Read one section
    Section command = cfg.readSection("command");
    Section::iterator i = command.begin();
    for(; i!=command.end(); i++) {
      cout << i->first << "=\t" << i->second << endl;
    }
  } 
  
  // Read all sections, keys and values
  Sections::iterator i = cfg.begin();
  for(; i!=cfg.end(); i++) {
    cout << "[" << i->first << "]" << endl;
    Section::iterator j = i->second.begin();
    for(; j!=i->second.end(); j++) {
      cout << j->first << "=" << j->second << endl;
    }
  }
  
  return 0;
}
